[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

/dev/fd/3 not found during upgrade to kernel-image-2.4.18-k7 (2.4.18-4)

apt-get dist-upgrade failed when upgrading
2.4.18-k7 to version 2.4.18-4 in testing.

The following line in '/usr/sbin/mkinitrd' failes:
eval "$(printf "$MKIMAGE" $workdir/initrd /dev/fd/3)" 3>&1 >&2
Obviously the subprocess cant acces the pseudo file system in /proc

My former initrd file is gone and the new one has size zero.

How do I proceed?

Below is the apt-get output:
Setting up kernel-image-2.4.18-k7 (2.4.18-4) ...

 You are attempting to install a kernel version that is the same as
 the version you are currently running (version 2.4.18-k7). The modules
 list is quite likely to have been changed, and the modules dependency
 file /lib/modules/2.4.18-k7/modules.dep needs to be re-built. It can
 not be built correctly right now, since the module list for the
 running kernel are likely to be different from the kernel installed.
 I am creating a new modules.dep file, but that may not be
 correct. It shall be regenerated correctly at next reboot.

 I repeat: you have to reboot in order for the modules file to be
 created correctly. Until you reboot, it may be impossible to load
 some modules. Reboot as soon as this install is finished (Do not
 reboot right now, since you may not be able to boot back up until
 installation is over, but boot immediately after). I can not stress
 that too much. You need to reboot soon.

Please Hit return to continue.
mkinitrd -o /boot/initrd.img-2.4.18-k7 /lib/modules/2.4.18-k7mkcramfs: open failed: /dev/fd/3: No such file or directory
Failed to create initrd image.
dpkg: error processing kernel-image-2.4.18-k7 (--configure):
 subprocess post-installation script returned error exit status 29
Errors were encountered while processing:

To UNSUBSCRIBE, email to debian-user-request@lists.debian.org with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Reply to: